%global upstream_name texttable

Name:           python-%{upstream_name}
Version:        0.8.4
Release:        1%{?dist}
Summary:        Python module to generate a formatted text table, using ASCII characters

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://foutaise.org/code/
Source0:        https://pypi.python.org/packages/source/t/texttable/texttable-0.8.4.tar.gz

BuildRequires:  python-devel python-setuptools
BuildArch:      noarch


%description
Python module to generate a formatted text table, using ASCII characters

%prep
%setup -q -n %{upstream_name}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc PKG-INFO
%{python2_sitelib}/texttable*

%changelog
* Thu Feb 18 2016 Ryan Hallisey <rhallise@redhat.com> - 0.8.4-1
- Build python-texttable for OpenStack
